import { RES } from "../RES";

/**
 * 暂时用列表的接口
 */
export class Item extends FYGE.Container implements FYGE.IScrollListItem {
    get skinName(): string { return null };
    constructor(data?) {
        super();
        if (this.skinName) RES.initSkinDisplay(this, this.skinName, this);
        setTimeout(() => { this.initUi(data); })//考虑是否可以不加延时，加了会有问题，自行调用的updateData会先执行，不加的话继承类里initUi里的属性。。。
    }
    /**
     * 自定义的初始布局方法
     */
    initUi(data?) {

    }
    /**
     * 自行调用的更新数据方法
     */
    updateData(data?) {

    }

    /**
     * 滚动列表的数据更新方法
     * @param id
     * @param data
     */
    initData(id: number, data: any): void {
        this.resetData();

    }
    id: number;
    data: number;
    /**
     * 滚动列表ScrollList里专用
     * 重置item里属性及显示对象属性的方法，
     * 在每次initData会调用
     */
    resetData() {

    }
}
